Subject: RE: [Tools-discuss] RE: Mangled Internet-Drafts

From: Eric Burger <[email-masked]>
Date: Mon, 8 Nov 2004 16:56:17 -0500

The Verification and Submission Engines require a bunch of input, like the
draft text, authors, work group (if a WG draft), etc.

Whether that information gets collected on a web page, WAP page, SIP
MESSAGE, E-mail, etc. doesn't matter.

The web page method lets you directly poke the data structures for the
Engines.  That actually is a problem for when you want to change the web
page or data collected.

A message would require structure, e.g., how to specify the meta data around
the draft.  Then again, that *is* something the IETF Applications Area does
well :)

> -----Original Message-----
> From: Alex Rousskov [mailto:[email-masked]]
> Sent: Friday, November 05, 2004 11:42 PM
> To: Eric Burger
> Cc: [email-masked]; [email-masked]
> Subject: RE: [Tools-discuss] RE: Mangled Internet-Drafts
> 
> 
> 
> On Fri, 5 Nov 2004, Eric Burger wrote:
> 
> > Let's take a page from the W3C, and Computer Science, for that 
> > matter.  The User Interface should be separate from the 
> Verification 
> > and Submission Engine.  That's called Separation of Concerns.  It 
> > works.
> 
> Eric,
> 
>  	I agree that Separation of Concerns often works well, but I am 
> not sure what you are suggesting in this particular case. Could you 
> elaborate? FWIW, the ID Submission draft does not merge User 
> Interfaces and Verification and Submission Engines (whatever that 
> would mean). The draft does contain both interface and processing 
> requirements.
> 
> Thanks,
> 
> Alex.
> 
> >> -----Original Message-----
> >> From: Alex Rousskov [mailto:[email-masked]]
> >> Sent: Thursday, November 04, 2004 10:56 AM
> >> To: [email-masked]; [email-masked];
> >> [email-masked]
> >> Cc: [email-masked]; [email-masked]
> >> Subject: Re: [Tools-discuss] RE: Mangled Internet-Drafts
> >>
> >>
> >> On Thu, 2004/11/04 (MST), <[email-masked]> wrote:
> >>
> >>> I would rather submit drafts by email than by webpages.
> >>
> >> John,
> >>
> >> 	As I have stated in my response to Paul, the Tools team is 
> >> very aware that many people prefer email submission. That is why 
> >> both email and web interfaces are to be supported.
> >>
> >> 	Personally, I believe that off-line submission convenience is 
> >> less important than submission quality, and that the later is much 
> >> easier to monitor and improve with interactive web interface. 
> >> However, I am not going to jeopardize the fate of the ID 
> submission 
> >> tool by trying to force IETFers to do what I think is right. This 
> >> is not the fight worth fighting, IMO. Again, the ID Submission 
> >> draft requires both email and web interfaces to be supported.
> >>
> >> Thanks,
> >>
> >> Alex.
>

---

From: "Alex Rousskov" <[email-masked]>
Date: Mon, 08 Nov 2004 15:41:13 -0700

On Mon, 2004/11/08 (MST), <[email-masked]> wrote:

> The Verification and Submission Engines require a bunch of input, like  
> the draft text, authors, work group (if a WG draft), etc.
>

Agreed. Since the ID submission tool supports at least two interfaces, a  
good "engine" implementation would be interface-independent. IIRC, there  
is even an implementation hint about that in the draft.

> Engines.  That actually is a problem for when you want to change the web

Not sure what problem you are referring to, but I agree that any metadata  
changes would have to be reflected (in different ways) in web and email  
interfaces as well as the processing engines. As of now, the email  
interface does not allow for manual submission of metadata unless you  
count the "From:" address (the rest is auto-extracted from the draft  
itself).

> A message would require structure, e.g., how to specify the meta data  
> around the draft.  Then again, that *is* something the IETF Applications  
> Area does well :)

We have decided to avoid "manual" metadata in email submissions for now.  
Thus, there is no structure other than what MIME gives us. If somebody  
wants to supply draft discussion address or other metadata they would have  
to use the web interface. I would not be surprised if this simple approach  
is eventually replaced with something more flexible/complex, but hope that  
we can launch the tool before that.

I am still not 100% sure whether the current design addresses your  
concerns. It seems to me we are in agreement, and the Toolset does not  
violate the Separation of Concerns principle, but if you spot any design  
bugs, please let us know what they are.

Thank you,

Alex.

>> > matter.  The User Interface should be separate from the Verification
>> >> However, I am not going to jeopardize the fate of the ID submission